/**
 * PETALS: PETALS Services Platform Copyright (C) 2009 EBM WebSourcing
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 * 
 * Initial developer(s): EBM WebSourcing
 */
package org.ow2.petals.kernel.api.service;

import java.io.Serializable;

/**
 * The location bean. Contains all the needed information to reach a service but
 * does NOT contains the endpoint itself!
 * 
 * @author chamerling - eBM WebSourcing
 * 
 */
public class Location implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 6036195680156183050L;

    private String subdomainName;

    private String containerName;

    private String componentName;

    /**
     * 
     */
    public Location() {
    }

    /**
     * 
     * @param subdomainName
     * @param containerName
     * @param componentName
     */
    public Location(String subdomainName, String containerName, String componentName) {
        this.subdomainName = subdomainName;
        this.containerName = containerName;
        this.componentName = componentName;
    }

    public String getSubdomainName() {
        return this.subdomainName;
    }

    public String getContainerName() {
        return this.containerName;
    }

    public String getComponentName() {
        return this.componentName;
    }

    public void setSubdomainName(String subdomainName) {
        this.subdomainName = subdomainName;
    }

    public void setContainerName(String containerName) {
        this.containerName = containerName;
    }

    public void setComponentName(String componentName) {
        this.componentName = componentName;
    }

    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();
        builder.append("Location [componentName=");
        builder.append(this.componentName);
        builder.append(", containerName=");
        builder.append(this.containerName);
        builder.append(", subdomainName=");
        builder.append(this.subdomainName);
        builder.append("]");
        return builder.toString();
    }

}
